## org.codehaus.groovy.ast.stmt
Class ReturnStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ReturnStatement

    public class ReturnStatement

extends Statement

A return statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Field Summary
`static ReturnStatement` `RETURN_NULL_OR_VOID`

Constructor Summary
`ReturnStatement(Expression expression)`
`ReturnStatement(ExpressionStatement statement)`

Method Summary
`Expression` `getExpression()`
`String` `getText()`
`void` `setExpression(Expression expression)`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETURN_NULL_OR_VOID

    public static final ReturnStatement RETURN_NULL_OR_VOID

Constructor Detail

### ReturnStatement

    public ReturnStatement(ExpressionStatement statement)

### ReturnStatement

    public ReturnStatement(Expression expression)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getExpression

    public Expression getExpression()

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### setExpression

    public void setExpression(Expression expression)

Copyright © 2003-2008 The Codehaus. All rights reserved.